:root {
    --uncc-green: #0c3b2e;
    --niner-gold: #A49665;
}
/*Reset and General Styles*/
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: monospace, sans-serif;
    min-height: 100v;
    background-color: #6d9773;
}
input, textarea {
    font: inherit;
}

a {
    text-decoration: none;
}


ul {
    list-style-type: none;
}


header, footer {
    background-color: var(--uncc-green);
    color: white;
}
/*--------------------------------------*/

/*Utility layouts*/

.center-text {
    text-align: center;
}
.start-text{
    text-align: start;
}
.img-width {
    width: 15%;
}
/*--------------------------------------*/

/*Overall layouts*/
body {
    display: grid;
    grid-template-rows: 6rem 1fr 3rem;
    grid-template-columns: 1fr 80% 10%;
    grid-template-areas: "header header header" "nav main aside" "footer footer footer";
    
}

header {
    grid-area: header;
}

nav {
    grid-area: nav;
}

main {
    grid-area: main;
}

footer {
    grid-area: footer;
}

header {
    font-family: monospace, sans-serif;
    background-color: #0c3b2e;
    color: white;
    
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    overflow: hidden;

    z-index: 1000;
    height: 5rem;
    width: 100%;
    top: 0;
    bottom: 0;
    margin: 0;
}
/*--------------------------------------*/

/*
#logo {
    padding-left: none;
    float: left;
    flex-shrink: 0;
    margin: auto;
}
*/

/*Header styles*/
header ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
}

header li a {
    display: block;
    color: white;
    text-align: center;
    padding: 10px 10px;
    text-decoration: none;
}
header nav a:hover {
    color: var(--niner-gold);
}
/*--------------------------------------*/

/*Header layouts*/
header nav {
    float: right;
    font-size: large;
}

header li {
    float: left;
}

header img {
    height: 100%;
    padding: 5px;
}


header h1 {
    display: flex;
    justify-content: space-between;
    font-size: 22;
   
    padding-left: 23rem;
}


nav ul {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
}
/*--------------------------------------*/

/* Main Styles*/
main {
    padding: 1rem;
    background-color: white;
    text-align: center;
    margin: 0;
}

main img {
    width: 40%;
    height: auto;
    border-radius: 10px;
    margin-bottom: 1rem;
}

main p {
    text-align: start;
}

h2 {
    color: black;
    margin-bottom: 1rem;
}
/*--------------------------------------*/

/*Image List*/

.imgContainer-list {   

    display: flex;
    flex-wrap: wrap;
    font-size: large;
    text-align: center;
    justify-content: center;

}
.imgContainer-list h2 {
    display: flex;
    flex-wrap: wrap;
    font-size: large;
}
.imgContainer-list .imgContainer, .imgContainer-list .imgContainer {
    padding-left: 100;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    flex: 1;
    min-width: 25%;
    max-width: 35%;
}
/*--------------------------------------*/

footer {
    position: fixed;
    font-family: monospace, sans-serif;

    width: 100%;
    bottom: 0;
    z-index: 10000;
    height: 3rem;

    display: flex;
    flex-direction: horizontal;
    justify-content: center;
    align-items: center;
    
    text-align: center;
}